SbProfilingData.h(3)

NAME
SbProfilingData.h

SYNOPSIS

#include <Inventor/SbBasic.h>
#include <Inventor/SbTime.h>
#include <Inventor/SoType.h>
#include <Inventor/SbName.h>
#include <Inventor/lists/SbList.h>
#include <Inventor/tools/SbPimplPtr.h>

  Classes
class SbProfilingData
Data structure for gathering scene graph traversal profiling information.

  Typedefs
typedef void * SbProfilingNodeKey
typedef int16_t SbProfilingNodeTypeKey
typedef const char * SbProfilingNodeNameKey

Typedef Documentation

  void * SbProfilingNodeKey
Type definition for the key node. This is a void * to ensure that it is not inadvertently dereferenced.

  int16_t SbProfilingNodeTypeKey
Type definition for the key node type.

  const char * SbProfilingNodeNameKey
Type definition for the key node name.

Author

Generated automatically by Doxygen for Coin from the source code.